## org.apache.solr.client.solrj.impl
Class CloudSolrServer.RouteResponse

    java.lang.Object
      org.apache.solr.common.util.NamedList
          org.apache.solr.client.solrj.impl.CloudSolrServer.RouteResponse

All Implemented Interfaces:
  Serializable, Cloneable, Iterable

Enclosing class:
  CloudSolrServer

    public static class CloudSolrServer.RouteResponse

extends NamedList

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.solr.common.util.NamedList
`NamedList.NamedListEntry<T>`

Field Summary

Fields inherited from class org.apache.solr.common.util.NamedList
`nvPairs`

Constructor Summary
`CloudSolrServer.RouteResponse()`

Method Summary
`NamedList` `getRouteResponses()`
`Map<String,LBHttpSolrServer.Req>` `getRoutes()`
`void` `setRouteResponses(NamedList routeResponses)`
`void` `setRoutes(Map<String,LBHttpSolrServer.Req> routes)`

Methods inherited from class org.apache.solr.common.util.NamedList
`add, addAll, addAll, clear, clone, equals, findRecursive, get, get, getAll, getName, getVal, hashCode, indexOf, iterator, remove, remove, removeAll, removeBooleanArg, removeConfigArgs, setName, setVal, size, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CloudSolrServer.RouteResponse

    public CloudSolrServer.RouteResponse()

Method Detail

### setRouteResponses

    public void setRouteResponses(NamedList routeResponses)

### getRouteResponses

    public NamedList getRouteResponses()

### setRoutes

    public void setRoutes(Map<String,LBHttpSolrServer.Req> routes)

### getRoutes

    public Map<String,LBHttpSolrServer.Req> getRoutes()

Copyright © 2000-2014 Apache Software Foundation. All Rights Reserved.